org.h2.table

## Enum DataChangeDeltaTable.ResultOption

- java.lang.Object
- - java.lang.Enum<DataChangeDeltaTable.ResultOption>
  - - org.h2.table.DataChangeDeltaTable.ResultOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataChangeDeltaTable.ResultOption>

Enclosing class:
  DataChangeDeltaTable

    public static enum DataChangeDeltaTable.ResultOption
    extends java.lang.Enum<DataChangeDeltaTable.ResultOption>

Result option.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FINAL` FINAL rows after triggers.
`NEW` NEW row with evaluated default expressions, but before triggers.
`OLD` OLD row.

### Method Summary

Methods
`static DataChangeDeltaTable.ResultOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataChangeDeltaTable.ResultOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OLD

    public static final DataChangeDeltaTable.ResultOption OLD

OLD row.

#### NEW

    public static final DataChangeDeltaTable.ResultOption NEW

NEW row with evaluated default expressions, but before triggers.

#### FINAL

    public static final DataChangeDeltaTable.ResultOption FINAL

FINAL rows after triggers.

### Method Detail

#### values

    public static DataChangeDeltaTable.ResultOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataChangeDeltaTable.ResultOption c : DataChangeDeltaTable.ResultOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataChangeDeltaTable.ResultOption valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null